function discIRR=IRR(r)
% calculates the discrepancies for the trial values of the discount rate, r

global X g pi psis

rMthly=r/12;
omegaBar=pi.*g;
N=size(pi,1);
for s=1:N
    MatBar=eye(N)-(1-psis(s))*omegaBar/(1+rMthly(s));
    InvBar=MatBar^(-1);
    XBar=InvBar*ones(N,1);
    discIRR(s)=X(s)-XBar(s);
end
