%  Calculate the S&P 500's SDF, given transition matrix pi and return
%  matrix R

clc
clear X omega
global X g 

options=optimset('Display','iter','MaxFunEvals',5000,'MaxIter',5000,'TolFun',.000000001,'TolX',.000000001);

m=ones(N,1);
discs=SMfunc(m);
mNew=fsolve(@SMfunc,m);
beta=mNew(1);
m=[1;mNew(2:N)];
outputSM=[beta;m];

%  omega

M=zeros(N);
for s=1:N
    for sprime=1:N
        M(s,sprime)=m(sprime)/m(s);
    end
end
omega=beta*pi.*M.*g;

%  Calculate X and r

Mat=eye(N);
for s=1:N
    for sprime=1:N
        Mat(s,sprime)=Mat(s,sprime)-(1-psis(s))*omega(s,sprime);
    end
end
Inv=Mat^(-1);
X=Inv*ones(N,1);
rStart=[0.3;0.2;0.15;0.05;0];
r=fsolve(@IRR,rStart,options);