clc
clear all

global N delta psi psis pi kappa z gamma wBar mu eta stateCal g R X W U C m WE WK
global ifTrack Track theta beta omega M q r thetaActual
N=5;
stateCal=3;
file='HDHU results.xlsx';
pi=xlsread(file,'SS','s36:w40');
R=xlsread(file,'SS','s85:w89');
thetaActual=xlsread(file,'SS','w7:w11');
gState=xlsread(file,'SS','s91:x95');
psiState=xlsread(file,'SS','u76:u80');

%  Parameters

psi=1-(1-0.1)^(1/3);  %  monthly separation rate. 10 percent per quarter, from Shimer
eta=0.5;  %  elasticity of matching fn
u=.055; %  unemployment at calibration point
f=(1-u)*psi/u;  %  job-finding rate
thetaCal=thetaActual(stateCal);  %  Calibration value of theta
mu=thetaCal^(-eta)*f;  %  matching efficiency parameter

%  Run the script for one or more cases

Cases